#ifndef TAMPON_H
#define TAMPON_H

#define TP_FACT_AGR 2 /* facteur d'agrandissement d'un tampon */

#define ETQ_SEP_REL 0 /* séparateur réel */
#define ETQ_SEP_FCT 1 /* séparateur fictif (échappé) */

struct tampon {
	char   *tp;  /* le tampon lui-même */
	char   *pc;  /* ptr vers la prochaine cellule libre */
	size_t  tll; /* taille du tampon */
};

int    tp_init(struct tampon *, size_t);
int    tp_ecr(char, struct tampon *);
void   tp_eff(struct tampon *);
void   tp_bloc_rec(struct tampon *);
int    tp_etq_rec(struct tampon *);
size_t tp_ncar(struct tampon *);

#endif
